Place Order

Insert an order into or update an existing order in FeedAMP. If updating an order, we only allow specific fields to be updated.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace

Request

This endpoint expects an object.
mp_order_numberstringRequired1-128 characters
The primary order number used to identify the order in the marketplace's system
sales_channelstringRequired

The specific channel within a marketplace in which orders are processed (typically corresponds to region)

customerobjectRequired
purchase_datedatetimeRequired

The datetime of the purchase date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

currencyenumRequired
ISO 4217 Currency codes
shipping_addressobjectRequired
order_lineslist of objectsRequired
A collection of OrderLine objects. This property contains the individual order lines that the seller is to fulfill
marketplace_stateenumRequired
The state of the order in the marketplace <ul>
  • PENDING - Order is still awaiting payment or other finalization before being eligible for fulfillment
  • AWAITING_SHIPMENT - The marketplace does not yet have any fulfillment information for the order
  • SHIPPED - The marketplace has successfully retrieved fulfillment information for the entire order
  • CANCELLED - The order has been cancelled, either due to action initiated by the marketplace (customer cancelled) or the entire order has been cancelled during fulfillment processing (seller cancelled)
  • </ul>
    Allowed values:
    locationobjectOptional

    Details about the location (e.g. store) associated with an order

    delivery_notesstringOptional

    The customer’s instructions to the delivery service regarding where/how to leave the package.

    earliest_ship_datedatetimeOptional

    The earliest expected ship-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

    latest_ship_datedatetimeOptional

    The latest expected ship-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

    latest_delivery_datedatetimeOptional

    The latest expected deliver-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

    earliest_delivery_datedatetimeOptional

    The earliest expected deliver-by date. ISO 8601 date-time YYYY-MM-DDTH:i:sZ (all times must be in UTC)

    gift_messagestringOptional
    Gift message attached to order
    marketing_opt_inbooleanOptional
    Whether the customer opted in to marketing emails
    billing_addressobjectOptional
    order_additional_propertiesmap from strings to anyOptional

    Key/Value pairs of data the marketplace wants to associate with an order

    is_marketplace_fulfilledbooleanOptionalDefaults to false
    Whether the order is fulfilled by the marketplace, and no further action is required by the seller to fulfill <ul>
  • True - The order is fulfilled by the marketplace
  • False - The seller must fulfill the order
  • </ul>
    fulfillment_typeenumOptional
    Type of fulfillment required for the order <ul>
  • shipment - Requires shipment by the seller
  • digital - No physical fulfillment
  • pickup - Order prepared for local pickup by buyer
  • </ul>
    Allowed values:

    Response

    Successful update of an existing order

    Errors

    400
    Bad Request Error
    401
    Unauthorized Error